body {
  font-size: 20px;
  background-color: #F7F9FA;
}
.container *,
div.container {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
footer.btnfr {
    margin-top: 0;
    background-color: #ffffff;
}
.btnfr .btn_01 .wraph_in {
    border-top: none;
}
ul,
li {
  margin: 0;
  padding: 0;
  list-style: none;
}
.first-title {
  text-align: center;
  color: #202124;
  font-size: 32px;
  margin: 48px;
}

div.container {
  width: 100%;
  margin: 0 auto;
  max-width: 1400px;
}

.user-card-list {
  width: 100%;
  display: flex;
  gap: 24px;
  padding: 0 22.5px;
}
.user-card-list .user-card {
  flex: 1;
  padding-top: 24px;
  background-color: #ffffff;
  box-shadow: 0px 0px 40px 0px #728DA01A;
  border-radius: 8px;
}

.user-card-list .user-card .user-card-header {
  height: 30px;
  line-height: 30px;
  font-size: 20px;
  font-weight: 600;
  padding: 0 36px;
}
.user-card-list .user-card .user-card-footer {
  border-top: 1px solid #F1F3F5;
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.user-card-list .user-card .user-card-content {
  max-height: 294px;
  height: 294px;
}

.user-card-list .user-card.user-card-message .user-card-content #messageContentBody {
  max-height: 270px;
  height: 270px;
  overflow-y: auto;
  padding: 0 12px;
}
.user-card-list .user-card.user-card-message .user-card-content {
  padding: 24px;
}
.user-card-list .user-card.user-card-message .user-card-content .text-date {
  width: 100%;
  height: 72px;
  border-bottom: 1px solid #F1F3F5;
  padding: 12px 0;
  display: flex;
  
}
.user-card-list .user-card.user-card-message .user-card-content .text-date .text {
  max-width: 447px;
  color: #6A6B6D;
  font-size: 16px;
  line-height: 24px;
  line-clamp: 2;
  display: -webkit-box; /* 使用 Flexbox 布局 */
  -webkit-box-orient: vertical; /* 垂直方向的布局 */
  -webkit-line-clamp: 2; /* 限制显示的行数 */
  overflow: hidden; /* 隐藏溢出的内容 */
  text-overflow: ellipsis; /* 使用省略号表示溢出的文本 */
  overflow-wrap: break-word;
}
.user-card-list .user-card.user-card-message .user-card-content .text-date .date {
  max-width: 447px;
  color: #6A6B6D;
  font-size: 16px;
  line-height: 24px;
}
.user-card-list .user-card .user-card-footer a {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  font-size: 16px;
  line-height: 24px;
  color: #0055CD;
}
.user-card-list .user-card.user-card-info .user-card-content {
  display: flex;
  flex-direction: column;
  justify-content:center;
  align-items: center;
  gap: 24px;

}
.user-card-list .user-card.user-card-info .user-card-content img {
  border-radius: 50%;
}
.user-card-list .user-card.user-card-info .user-card-content #email {
  color: #6A6B6D;
  font-size: 16px;
  line-height: 24px;
}
.favorite-products-bottom {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 24px;
  padding-bottom: 48px;
  margin-bottom: 48px;
}
.favorite-products-btn {
  width: 153px;
  height: 46px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 4px;
  color: #0055CD;
  border: 1px solid #0055CD;
  cursor: pointer;
}
.favorite-products-btn:hover {
  background-color: #0055CD;
  color: white
}

.something-box {
  background-color: white;
  box-shadow: 0 0 40px 0 #728DA01A;
  margin: 0 22.5px;
}

.subscription-box {
  background-color: white !important;
  box-shadow: 0 0 40px 0 #728DA01A !important;
  margin: 0 22.5px !important;
}
.second-title {
  font-size: 0.875rem;
  color: #5f6368;
  word-break: break-all;
  margin-top: 1.25rem;
  margin-bottom: 2.5rem;
  margin: 1.0625rem auto 3.25rem;
  font-family:  Arial;
}

.card-box,
.card-btn-layout {
  width: 75rem;
  font-size: 1.25rem;
  display: flex;
}

.card-box .card-item:first-child,
.card-btn-layout .btn-box:first-child {
  margin-right: 1.25rem;
}

.card-item {
  width: calc((100% - 1.25rem) / 2);
  border: 1px solid #dadce0;
  border-radius: 0.625rem 0.625rem 0 0;
  border-bottom: none;
}

.content-box {
  box-sizing: border-box;
}

.notice-box {
  padding: 1.25rem 2.125rem 1.25rem 1.5rem;
}

.personal-box {
  padding: 1.875rem 1.5rem 2rem;
}
  .user-card-content img {
    width: 150px;
    height: 150px;
    line-height: 150px;
  }
.content-title {
  font-size: 1.375rem;
  color: #202124;
  font-family:  Arial;
  font-weight: 400;
  line-height:1.75rem;
}

.notice-tag {
  display: inline-block;
  width: 0.5625rem;
  height: 0.5625rem;
  background-color: #e60039;
  border-radius: 50%;
  margin-right: 0.0.75rem;
  position: relative;
  top: -0.125rem;
}

.notice-box ul {
  margin-top: 0.5rem;
}

.notice-box li {
  padding: 1.25rem 0;
  border-bottom: 1px solid #dadce0;
  font-size: 0.875rem;
  line-height: 1.25rem;
  color: #5f6368;
  cursor: pointer;
}
.notice-box li:hover{
  box-shadow: 0px 2px 3px -2px rgb(0 0 0 / 25%);
}

.user-info {
  margin-top: 2rem;
  color: #5f6368;
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size:1rem;
  line-height: 1.25rem;
}

.user-info img {
  width: 8.375rem;
  height: 8.375rem;
  border-radius: 50%;
  margin-bottom: 1.25rem;
}

.text-date {
  display: flex;
  justify-content: space-between;
}

.text {
  flex: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
}
.imgBox{
  width: 150px;
  height: 150px;
  line-height: 150px;
  border-radius: 50%;
  margin-bottom: 24px;
  text-align: center;
  background-color: #aac4f3;
  color: #fff;
  font-size: 36px;
}
.date {
  width: 7.25rem;
  text-align: right;
}

.btn-box {
  height: 5rem;
  line-height: 5rem;
  text-align: center;
  border: 1px solid #dadce0;
  color: #e60039;
  font-size: 1rem;
  font-weight: 400;
  width: calc((100% - 1.185rem) / 2);
  border-radius: 0 0 0.08px 0.08px;
  cursor: pointer;
}

.btn-box img {
  width: 1.5rem;
  height: 1.5rem;
  margin-left: 0.5rem;
  vertical-align: middle;
}

.something-box{
  margin-top: 24px;
  padding: 24px 0;
  border-radius: 8px;
}

.subscription-box{
  margin-top: 24px !important;
  padding: 24px 0;
  border-radius: 8px;
}

.something-title {
  font-size: 20px;
  font-weight: 600;
  line-height: 30px;
  padding: 12px 36px 12px 36px;
}

.flex-layout {
  display: flex;
  justify-content: space-between;
  height: 48px;
  margin: 0 36px;
  align-items: center;
  cursor: pointer;
  font-size: 16px;
  border-bottom: 1px solid #F1F3F5
}

.flex-layout img {
  width: 24px;
  height: 24px;
}
/* pc端 */
@media screen and (min-width:1080px) {
body {
  font-size: 20px;
}
ul,
li {
  margin: 0;
  padding: 0;
  list-style: none;
}

.container {
  width: 75rem;
  margin: 2.5rem auto 0;
}


.second-title {
  font-size: 0.875rem;
  color: #5f6368;
  word-break: break-all;
  margin-top: 1.25rem;
  margin-bottom: 2.5rem;
  margin: 1.0625rem auto 3.25rem;
  font-family:  Arial;
}

.card-box,
.card-btn-layout {
  width: 75rem;
  font-size: 1.25rem;
  display: flex;
}

.card-box .card-item:first-child,
.card-btn-layout .btn-box:first-child {
  margin-right: 16px;
}

.card-item {
  width: calc((100% - 1.25rem) / 2);
  border: 1px solid #dadce0;
  border-radius: 0.625rem 0.625rem 0 0;
  border-bottom: none;
}

.content-box {
  box-sizing: border-box;
}

.notice-box {
  padding: 1.25rem 2.125rem 1.25rem 1.5rem;
}

.personal-box {
  padding: 1.875rem 1.5rem 2rem;
}

.content-title {
  font-size: 1.375rem;
  color: #202124;
  font-family:  Arial;
  font-weight: 400;
  line-height:1.75rem;
}

.notice-tag {
  display: inline-block;
  width: 0.5625rem;
  height: 0.5625rem;
  background-color: #e60039;
  border-radius: 50%;
  margin-right: 0.0.75rem;
  position: relative;
  top: -0.125rem;
}

.notice-box ul {
  margin-top: 0.5rem;
}

.notice-box li {
  padding: 1.25rem 0;
  border-bottom: 1px solid #dadce0;
  font-size: 0.875rem;
  line-height: 1.25rem;
  color: #5f6368;
  cursor: pointer;
}
.notice-box li:hover{
  box-shadow: 0px 2px 3px -2px rgb(0 0 0 / 25%);
}

.user-info {
  margin-top: 2rem;
  color: #5f6368;
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size:1rem;
  line-height: 1.25rem;
}



.text-date {
  display: flex;
  justify-content: space-between;
}

.text {
  /* flex: 1; */
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
}

.date {
  width: 7.25rem;
  text-align: right;
}

.btn-box {
  height: 5rem;
  line-height: 5rem;
  text-align: center;
  border: 1px solid #dadce0;
  color: #e60039;
  font-size: 1rem;
  font-weight: 400;
  width: calc((100% - 1rem) / 2);
  border-radius: 0 0 0.08px 0.08px;
  cursor: pointer;
}

.btn-box img {
  width: 1.5rem;
  height: 1.5rem;
  margin-left: 0.5rem;
  vertical-align: middle;
}
}
/* app端 */
@media screen and (max-width:1080px) {
  body {
  font-size: 20px;
}
ul,
li {
  margin: 0;
  padding: 0;
  list-style: none;
}

.container {
  width: 105rem;
  margin: 2.5rem auto 0;
}

.second-title {
  font-size: 4.5rem;
  color: #5f6368;
  word-break: break-all;
  margin-top:3.5rem !important;
  margin-bottom: 10.25rem  !important;
  margin: 1.0625rem auto 3.25rem;
  font-family:  Arial;
}
.card-box,
.card-btn-layout {
  width: 210rem;
  font-size: 1.25rem;
  display: flex;
flex-direction: column;
}

.card-box .card-item:first-child,
.card-btn-layout .btn-box:first-child {
  margin-right: 1.25rem;
}
.card-box .card-item:first-child{
height:74rem;
}
.card-box .card-item:last-child{
height:99rem;
margin-top:20rem ;
}
.card-box .card-item .content-title1{
margin-left: 25.75rem !important;}
#email{
color: #5F6368;
font-size: 4.5rem;
}
.card-item {
  /* width: calc((100% - 1.25rem) / 2); */
  border: 1px solid #dadce0;
  border-radius: 2.5625rem 2.5625rem 0 0 ;
  border-bottom: 20rem;
}

.content-box {
  box-sizing: border-box;
}

.notice-box {
  padding: 1.25rem 2.125rem 1.25rem 1.5rem;
}

.personal-box {
  padding: 1.875rem 1.5rem 2rem;
}

.content-title {
  font-size: 5.125rem;
  color: #202124;
  font-family:  Arial;
  font-weight: 400;
  line-height:1.75rem;
margin-top: 7.6875rem;
margin-left: 30.75rem;}

.notice-tag {
  display: inline-block;
  width: 1.9375rem;
  height:1.9375rem;
  background-color: #e60039;
  border-radius: 50%;
  margin-right: 0.0.75rem;
  position: relative;
  top: -1.225rem;
}
.not{
color:#202124 ;
font-size: 5.75rem;
}
.notice-box ul {
  margin-top: 6.5rem;
}

.notice-box li {
  padding: 4.25rem 0;
  border-bottom: 1px solid #dadce0;
  font-size: 0.875rem;
  line-height:10.25rem;
  color: #5f6368;
  cursor: pointer;
}
.notice-box li:hover{
  box-shadow: 0px 2px 3px -2px rgb(0 0 0 / 25%);
}

.user-info {
  margin-top: 2rem;
  color: #5f6368;
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size:1rem;
  line-height: 1.25rem;
}

.user-info img {
  width:25.625rem;
  height:25.625rem;
  line-height:25.625rem;
  border-radius: 50%;
  margin-bottom:6.375rem;
  margin-top: 9.625rem;
}

.text-date {
  display: flex;
  justify-content: space-between;
}

.text {
  flex: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
}

.date {
  width:23.25rem;
  text-align: right;
font-size: 3.8125rem;
margin-right: 3.1875rem
}
.card-btn-layout div:first-child{
     margin-top: -124rem;
    margin-bottom: 75rem;
}
.card-btn-layout div:last-child{
border-top: none;
    height: 13.68rem !important;
    line-height: 13.68rem !important;
    margin-top: 31rem;

}

.btn-box {
  height:13.68rem;
  line-height: 13.68rem;
  text-align: center;
  border: 1px solid #dadce0;
  color: #e60039;
  font-size: 4.5rem;
  font-weight: 400;
  width: calc((100% - 1.25rem) / 2);
  border-radius: 0 0 2.5625rem 2.5625rem;
  cursor: pointer;
}

.btn-box img {
  width: 6.375rem;
  height: 6.375rem;
  margin-left: 0.5rem;
  vertical-align: middle;
}
}

.container {
    width: 1400px;
    margin: 0 auto;
    margin-bottom: 36px !important;
    margin-top: 30px !important;
}
.responsive-image {
    max-width: 100%; /* 确保图像不会超过容器的宽度 */
    height: 100%; /* 自动调整高度以保持宽高比 */
}

@media screen and (min-width: 1080px) {
    #personal {
        font-size: 16px !important;
    }
    #personals {
        font-size: 16px !important;
    }
    .manage-my-personal-info {
        font-size: 16px !important;
        font-weight: 400 !important;
        line-height: 55px !important;
        color: #0055cd !important;
    }
    .manage-my-personal-info svg {
        transform: translate(5px, 6px);
    }

}
@media screen and (max-width: 1080px) {
    .manage-my-personal-info {
        color: rgba(0, 85, 205, 1);
    }
    .manage-my-personal-info svg {
        transform: translate(0px, 2.1867rem);
    }
    #personals {
        margin-top: 35.1rem !important;
        line-height: 25.68rem !important;
        height: 20.68rem !important;
    }
    .item-card-img {
        text-align: center;
    }
    .item-card-img img {
        width: 200px;
        height: 200px;
    }
}

.favorite-products-text {
    margin-top: 72px;
    margin-bottom: 14px;
    height: 54px;
    font-size: 20px;
    font-weight: 600;
    color: #2A2B2E;
    padding-left: 36px;
    border-bottom: 1px solid #F1F3F5;
}
.favorite-products_card {
    width: 355px;
    height: 398px;
    background-color: white;
    padding: 24px 22px;
    border-radius: 4px;
    border: 1px solid #F1F3F5;
    transition: box-shadow .3s linear;
}
.favorite-products_card:hover {
    box-shadow: 0 4px 20px 0 #0000001A;
}
.favorite-products_card__header {
    display: flex;
    justify-content: space-between;
}
.favorite-products_card__favorite {
    width: 26px;
    height: 26px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #F7F9FA;
    border-radius: 4px;
    cursor: pointer;
    position: relative;
}
.favorite-products_card__favorite #favorite-svg path{
    stroke: #7D7D7D;
}
.favorite-products_card__favorite.is-favorite #favorite-svg path{
    stroke: #e60039;
    fill: #e60039;
    transition: fill .2s;
}
.favorite-products_card__favorite:hover #favorite-svg path{
    stroke: #e60039;
}
.favorite-products_card__favorite .favorite-products_card_tips {
    display: none;
}
.favorite-products_card__favorite:hover .favorite-products_card_tips {
    display: block;
    position: absolute;
    top: -56px;
}
.favorite-products_card__classify {
    /* width: 74px; */
    height: 26px;
    font-size: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    color: #7D7D7D;
    background-color: #F7F9FA;
    user-select: none;
    padding: 10px;
}
.el-tooltip__popper.is-light {
    border-color: transparent !important;
    box-shadow: 0 3px 7px 0 #0000001A;
}
.el-tooltip__popper.is-light[x-placement^=top] .popper__arrow {
    border-top-color: transparent!important;
}
.favorite-products_card__img {
    width: 100%;
    margin-top: 12px;
    height: 200px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}
.favorite-products_card__desc {
    height: 72px;
}
.favorite-products_card__model {
    text-align: center;
    line-height: 30px;
    height: 30px;
    font-size: 20px;
    font-weight: 500;
    color: #292929;
}
.favorite-products_card__name {
    height: 42px;
    font-size: 14px;
    line-height: 21px;
    color: #7D7D7D;
    text-align: center;
    display: -webkit-box; /* 使用 Flexbox 布局 */
    -webkit-box-orient: vertical; /* 垂直方向的布局 */
    -webkit-line-clamp: 2; /* 限制显示的行数 */
    overflow: hidden; /* 隐藏溢出的内容 */
    text-overflow: ellipsis; /* 使用省略号表示溢出的文本 */
}
.favorite-products_card__btn {
    cursor: pointer;
    font-size: 14px;
    color: #0055CD;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 12px;
}
.favorite-product_card__end-of-sale {
    position: absolute;
    width: 150px;
    height: 150px;
    box-shadow: 4px 4px 6px 0 #0000004D;
    border-radius: 75px;
    background-color: rgba(42,43, 46, 0.5);
    top: 50%;
    left: 50%;
    font-size: 16px;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #A9A9A9;
    transform: translate(-50%, -50%);
}
.favorite-product_card__end-of-sale_text {
    opacity: 1;
}
.swiper-slide {
    padding: 10px 0;
    height: 458px !important;
    width: 355px;
}
.favorite-products-warp {
    padding: 0 10%;
    position: relative;
}
.swiper-container {
    padding: 10px;
}
.favorite-products-prev,
.favorite-products-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}
.favorite-products-prev {
    left: 5%;
}
.favorite-products-next {
    right: 5%;
    transform: translateY(-50%) rotateZ(180deg);
}
.favorite-products-next.swiper-button-disabled,
.favorite-products-prev.swiper-button-disabled{
    opacity: 0.2;
}
.favorite-products-warp:hover .favorite-products-prev svg *,
.favorite-products-warp:hover .favorite-products-next svg *{
    opacity: 1;
}
.favorite-products-prev svg *,
.favorite-products-next svg *{
    stroke: #6A6B6D;
    opacity: 0.2;
}
.favorite-products-prev:hover svg *,
.favorite-products-next:hover svg *{
    stroke: #0055CD;
    opacity: 1;
}

.favorite-products-pagination {
  bottom: 0;
  display: none;
}
.favorite-products_no-result {
    height: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.favorite-products_no-result__text {
    margin-top: 24px;
    text-align: center;
    font-size: 16px;
    max-width: 600px;
    width: 100%;
    line-height: 24px;
    padding: 0 22.5px;
    color: #6A6B6D;
}
@media screen and (max-width:1200px) {
  .favorite-products-warp {
    padding: 0 12.5px;
  }
  .swiper-wrapper {
    padding: 20px 0;
  }
  .user-card-list {
    flex-direction: column;
  }
  .favorite-products-prev,
  .favorite-products-next {
    display: none;
  }
  .favorite-products-pagination {
    bottom: 0 !important;
    display: block;
  }
  .favorite-products-text {
    margin-top: 60px;
    border-bottom: none;
    padding-left: 0;
    margin-bottom: 0;
    text-align: center;
    font-size: 20px;
    height: auto;
  }
  .imgBox{
    width: 80px;
    height: 80px;
    line-height: 80px;
  }
  .user-card-content img {
    width: 80px;
    height: 80px;
    line-height: 80px;
  }
  .user-card-list .user-card.user-card-info .user-card-content {
    height: auto;
    padding: 36px;
  }
  .user-card-list .user-card .user-card-header {
    text-align: center;
  }
}

/* 对话框样式 */
.update-email-dialog {
  padding: 0 !important;
}

.update-email-dialog .el-dialog__headerbtn {
  top: 12px;
  right: 12px;
  width: 24px;
  height: 24px;
}

.update-email-dialog .el-dialog__headerbtn .el-dialog__close {
  font-size: 24px;
}
.update-email-dialog-title {
  width: 360px;
  height: 30px;
  font-weight: 300;
  font-size: 20px;
  line-height: 150%;
  color: #000;
  margin-bottom: 24px;
}

.update-email-dialog .el-dialog__body {
  padding: 0 40px;
}

.vertical-radio {
  display: flex !important;
  flex-direction: column;
  gap: 24px;
}

.vertical-radio .el-radio-group .el-radio__input {
  width: 16px;
  height: 16px;
}

.vertical-radio .el-radio-group .el-radio__label {
  width: 74px;
  height: 24px;
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: #6a6b6d;
}

.vertical-radio .el-radio__input.is-checked .el-radio__inner {
  border-color: #0055cd;
  background-color: #0055cd;
}

.vertical-radio .el-radio__input.is-checked+.el-radio__label {
  color: #6a6b6d;
}

.update-email-dialog .el-dialog__footer {
  padding: 24px 40px 40px 40px !important;
}

.update-email-dialog-footer {
  display: flex;
  gap: 12px;
}

.update-email-dialog-save {
  width: 174px;
  height: 46px;
  font-size: 16px !important;
  color: #fff !important;
  background-color: #0055cd !important;
}

.update-email-dialog-save:hover {
  width: 174px;
  height: 46px;
  font-size: 16px !important;
  background-color: #0055cd !important;
  color: #fff !important;
}

.update-email-dialog-cancel {
  width: 174px;
  height: 46px;
  font-size: 16px !important;
  color: #2A2B2E !important;
  background-color: #fff !important;
  border-color: #d5d5d5 !important;
}

.update-email-dialog-cancel:hover {
  width: 174px;
  height: 46px;
  font-size: 16px !important;
  color: #2A2B2E !important;
  background-color: #fff !important;
  border-color: #d5d5d5 !important;
}

.custom-message {
  z-index: 999999 !important;
}
